#!/usr/bin/env sh
# SPDX-License-Identifier: AGPL-3.0-or-later
# SPDX-FileCopyrightText: 2021-2024 JayVii <jayvii[AT]posteo[DOT]de>

# $1 - HTML Root
# $2 - prv/pub
# $3 - repo name
# $@ - optional list of refs, as given to post-update hook

# Error out if not all options are given
if [ -z "$3" ]; then
    echo "Usage:
git_post_push.sh \\
    \"/var/www/git.example.git\" \\
    \"pub\" \\
    \"stagit-scripts\" \\
    \"\$@\" # optional paramaters given by post-push hook
    "
    exit 1;
fi

~/bin/git_update_repo.sh "${1}" "${2}" "${3}"
~/bin/git_export_tarball.sh "${1}" "${2}" "${3}" "${4}"
~/bin/git_deploy.sh "${1}" "${2}" "${3}" "${4}"
~/bin/git_update_repo_html.sh "${1}" "${2}" "${3}"
~/bin/git_update_index_html.sh "${1}" "${2}"

